<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="xiaoqu.home.open.mapper.db1.PositionsMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="xiaoqu.home.open.model.db1.Positions">
        <id column="id" property="id" />
        <result column="create_id" property="createId" />
        <result column="create_time" property="createTime" />
        <result column="modify_id" property="modifyId" />
        <result column="modify_time" property="modifyTime" />
        <result column="soft_delete" property="softDelete" />
        <result column="address_id" property="addressId" />
        <result column="agent_id" property="agentId" />
        <result column="property_id" property="propertyId" />
        <result column="district_id" property="districtId" />
        <result column="building_id" property="buildingId" />
        <result column="floor" property="floor" />
        <result column="toilet_id" property="toiletId" />
        <result column="name" property="name" />
        <result column="memo" property="memo" />
        <result column="install_position" property="installPosition" />
        <result column="wc_type" property="wcType" />
        <result column="gender" property="gender" />
        <result column="remark" property="remark" />
        <result column="supervisor_id" property="supervisorId" />
        <result column="service_status" property="serviceStatus" />
        <result column="cubicle_position" property="cubiclePosition" />
        <result column="sn_code" property="snCode" />
        <result column="user_id" property="userId" />
        <result column="hardware_position" property="hardwarePosition" />
        <result column="length" property="length" />
        <result column="width" property="width" />
        <result column="toilet_order" property="toiletOrder" />
        <result column="clean_status" property="cleanStatus" />
        <result column="bind_status" property="bindStatus" />
        <result column="agent_name" property="agentName" />
        <result column="property_name" property="propertyName" />
        <result column="district_name" property="districtName" />
        <result column="building_name" property="buildingName" />
        <result column="floor_id" property="floorId" />
        <result column="multistage_grid_id" property="multistageGridId" />
        <result column="multistage_grid_name" property="multistageGridName" />
        <result column="superior_grid_name" property="superiorGridName" />
        <result column="quality_level" property="qualityLevel" />
        <result column="scenes_level" property="scenesLevel" />
        <result column="enable_status" property="enableStatus" />
        <result column="air_sn" property="airSn" />
        <result column="note" property="note" />
        <result column="create_name" property="createName" />
        <result column="modify_name" property="modifyName" />
        <result column="grid_level" property="gridLevel" />
        <result column="superior_scenes_name" property="superiorScenesName" />
        <result column="scenes_type" property="scenesType" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, create_id, create_time, modify_id, modify_time, soft_delete, address_id, agent_id, property_id, district_id, building_id, floor, toilet_id, name, memo, install_position, wc_type, gender, remark, supervisor_id, service_status, cubicle_position, sn_code, user_id, hardware_position, length, width, toilet_order, clean_status, bind_status, agent_name, property_name, district_name, building_name, floor_id, multistage_grid_id, multistage_grid_name, superior_grid_name, quality_level, scenes_level, enable_status, air_sn, note, create_name, modify_name, grid_level, superior_scenes_name, scenes_type
    </sql>

</mapper>
